# Ansible role for executing test scripts

Put this role in your tests.yml playbook and specify a
number of test scripts to execute as tests. The results
of each script will be piped into log file in the artifacts
directory. If any script exits with a non-zero exit code
the role will fail.

In the case of test subjects such a host or container, these
test scripts and related files will be copied to the target into
/var/tmp/tests before execution.

You should define the following variables:

 * tests: An array of scripts to run
 * files: A list of files or directories needed by the scripts

